/*
 * Created on 4-mag-2004
 */
package jaCop.event;

import jaCop.domain.*;

/**
 * @author Lompa
 */
public class JoinRequestRefusedEvent extends JaCOPEvent {
	
	private COPNode refuser = null;
	private String message = null;
	
	public JoinRequestRefusedEvent(Object source, String community, COPNode refuser, String message){
		super(source, community);
		this.refuser = refuser;
		this.message = message;
	}
	/**
	 * @return Returns the refuser.
	 */
	public COPNode getRefuser() {
		return refuser;
	}
	/**
	 * @return Returns the message.
	 */
	public String getMessage() {
		return message;
	}
}
